[Stable Update] 2018-03-23 - Kernels, Mesa, Browsers, Deepin, Python, Haskell

update
stable

#1

Hi community,

welcome to another stable update of Manjaro. We worked again on our Kernels, added some fixes to MSM and Pamac, updated Mesa, Firefox, Python and Haskell packages plus worked on GCC and VIM.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.100 [EOL]
  • linux41 4.1.50
  • linux44 4.4.122
  • linux49 4.9.88
  • linux414 4.14.29
  • linux415 4.15.12
  • linux416 4.16-rc6
  • linux-RT-LTS 4.14.28_rt23
  • linux-RT 4.14.28_rt23

Package Updates (Thu Mar 22 08:31:05 CET 2018)

  • stable community x86_64: 412 new and 398 removed package(s)
  • stable core x86_64: 26 new and 26 removed package(s)
  • stable extra x86_64: 326 new and 422 removed package(s)
  • stable multilib x86_64: 15 new and 10 removed package(s)

A detailed list of all package changes can be found here.


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


[Testing Update] 2018-03-23 - Kernels, Krita v4.0, F2FS support for Grub, Systemd, Deepin
[Stable Update] 2018-03-18 - Kernels, Xorg-Stack, Systemd, KDE Frameworks, Firefox, Nvidia, Deepin
Wifi scanner no longer detected on KDE after system upgrade
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


nxagent and nx-xcompext are in conflict. Remove nx-xcompext? [y/N]

Yes.


Warnung: Verzeichnis-Berechtigungen unterscheiden sich für /etc/NetworkManager/system-connections/

sudo chmod 700 /etc/NetworkManager/system-connections/

firefox: /usr/lib/firefox/distribution/distribution.ini exists in filesystem

sudo rm /usr/lib/firefox/distribution/distribution.ini


#3

OT:

I got this message:

(35/44) Aktualisiere networkmanager                                                                     [##############################################################] 100%
Warnung: Verzeichnis-Berechtigungen unterscheiden sich für /etc/NetworkManager/system-connections/
Dateisystem: 755  Paket: 700

Any action to take?

Good update on my NB with Xfce.


#4

You may do: sudo chmod 700 /etc/NetworkManager/system-connections/ if you want to “fix” it. It simply reduces the rights to root only.


#5

Gnome on Thinkpad X230 - everything went fine.

XFCE on virtualbox on windows 7 host hanged during install phase but I think it’s windows fault. I reverted to snapshot from before update, did it again and it went fine. I’m writing this to just remind people that backup before update is always a good idea.


#6

Somewhere else there is perhaps a black friday, but here is a happy friday :sunglasses:
All works fine

regards
caho


#7

Excellent.

20180323_002 20180323_001


#8

no problems on KDE.

thank you


#9

Everything good so far. XFCE edition.


#10

Manjaro MATE , kernel 4.14. Easy update.

Thanks!


#11

KDE.
Have some problem with SDDM.
When I enter password after lock session, it looking hang up.
Then I switch via ctlr+alt+f2 and return back and see session successfully unlocked.


Stable update 3/27?
#12

Run following command in terminal
sudo chmod 700 /etc/NetworkManager/system-connections


#13

I am getting this message:

error: failed to commit transaction (conflicting files)
firefox: /usr/lib/firefox/distribution/distribution.ini exists in filesystem
Errors occurred, no packages were upgraded.

Should I remove that file?


#14

No problems here, thank you!

Thanks to maintain gtk3-classic, it’s really great to have it in our repos.


#15

All is fine!
Thanks :wink:


#16

no issue while updating, running Xfce@kernel 416
need to test resume from suspend tough, since this caused some issue (black screen, no response from system) in the last weeks


#17

flawless update on KDE, great work as always! :smiley:


#18

Bizarre. Normally, it should have been fixed with recent manjaro-system updates we got this month.

Post-upgrade task of manjaro-system that concerns Firefox

post_upgrade() {
# Fix Firefox upgrading
pacman -Q firefox &> /tmp/cmd1
if [ “$(vercmp $(grep ‘firefox’ /tmp/cmd1 | cut -d’ ’ -f2) 59.0.1-0)” -le 0 ]; then
if [ -e “/usr/lib/firefox/distribution/distribution.ini” ]; then
msg “Fix firefox upgrade …”
/usr/bin/rm -f /usr/lib/firefox/distribution/distribution.ini
fi
fi

It seems it didn’t went as planned on your machine. In Testing, very few unlucky people still got this problem, even after this solution was implemented.

In that case, you have no choice but to solve the file conflict manually. Either delete this file graphically with a file manager or with command line (sudo rm /usr/lib/firefox/distribution/distribution.ini). After that, try to update your whole system again. There should be no file conflict anymore.


#19

This update make my nvidia drivers start crashing. I never had on bumblebee-git package error that: Cannot load GPU and now I have, when I restart drivers works but my favourite game crash :confused:


#20

I also appreciate that Manjaro Team maintain the gtk3-classic!! :grin: